## AgsAddAudioSignal

AgsAddAudioSignal — add audio signal object to recycling

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsAddAudioSignal * | ags_add_audio_signal_new ()

## Properties

AgsAudioSignal * | audio-signal | Read / Write
guint | audio-signal-flags | Read / Write
AgsRecallID * | recall-id | Read / Write
AgsRecycling * | recycling | Read / Write
GObject * | soundcard | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsAddAudioSignal

## Includes

    #include <ags/audio/task/ags_add_audio_signal.h>

## Description

The AgsAddAudioSignal task adds AgsAudioSignal to AgsRecycling.

## Functions

### ags_add_audio_signal_new ()

    AgsAddAudioSignal *
    ags_add_audio_signal_new (AgsRecycling *recycling,
                              AgsAudioSignal *audio_signal,
                              GObject *soundcard,
                              AgsRecallID *recall_id,
                              guint audio_signal_flags);

Creates an AgsAddAudioSignal.

#### Parameters

recycling | the AgsRecycling |
audio_signal | the AgsAudioSignal to add |
soundcard | the GObject defaulting to |
recall_id | the AgsRecallID, may be `NULL` if `AGS_AUDIO_SIGNAL_TEMPLATE` set |
audio_signal_flags | the flags to set |

#### Returns

an new AgsAddAudioSignal.

Since: 3.0.0

## Property Details

### The `“audio-signal”` property

      “audio-signal”             AgsAudioSignal *

The assigned AgsAudioSignal

Owner: AgsAddAudioSignal

Flags: Read / Write

Since: 3.0.0

### The `“audio-signal-flags”` property

      “audio-signal-flags”       guint

The audio signal's flags.

Owner: AgsAddAudioSignal

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“recall-id”` property

      “recall-id”                AgsRecallID *

The assigned AgsRecallID

Owner: AgsAddAudioSignal

Flags: Read / Write

Since: 3.0.0

### The `“recycling”` property

      “recycling”                AgsRecycling *

The assigned AgsRecycling

Owner: AgsAddAudioSignal

Flags: Read / Write

Since: 3.0.0

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned AgsSoundcard

Owner: AgsAddAudioSignal

Flags: Read / Write

Since: 3.0.0